@import "@/styles/variables";

.filter-button {
    min-width: 100%;
    justify-content: space-between;
    position: relative;

    &__title {
        display: flex;
        align-items: center;
        gap: 0.3rem;
    }
}

.filter-card {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    position: relative !important;
    padding: 0.5rem 0;
    min-width: 100%;

    .range-list {
        display: flex;
        flex-direction: column;
        gap: 1rem;
        padding: 1.5rem 1rem 2rem;
    }

    .multiselect-list {
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        gap: 1rem;
        padding: 1rem 1.5rem;
        height: auto;
        width: 100%;
    }

    .containers-list {
        display: flex;
        padding: 1rem 1.5rem;
        gap: 1rem;
        width: 100%;

        ul {
            list-style-type: none;
        }

        li {
            &:last-child {
                padding-top: 1rem;
            }
        }
    }

    button {
        &:focus {
            outline: none;
            box-shadow: none;
            background-color: $white;
        }

        &:focus-visible {
            outline: none;
            box-shadow: none;
            background-color: $white;
        }
    }
}
